							-*- indented-text -*-
to 21.1.2 "20 Minutes to Nikko"
-- repackage

to 21.1.1 "20 Minutes to Nikko"
-- miscellaneous bug fixes from Gunnar Evermann
-- font fix from Colin Rafferty
-- miscellaneous bug fixes from Hrvoje Niksic
-- documentation fixes from Albert Chin-A-Young, Stephen Turnbull, and
   Gunnar Evermann
-- miscellaneous bug fixes from Gunnar Evermann, Jan Vroonhof and Robert Pluim

to 21.0.67 "20 minutes to Nikko"
-- last minute bug & doc fixes

to 21.0.66 "20 minutes to Nikko"
-- build fixes from Martin Buchholz
-- various patches from Andy Piper and Jan Vroonhof
-- alist.el synched with APEL-9.13 from MORIOKA Tomohiko

to 21.0.65 "20 minutes to Nikko"
-- Fix for new Berkeley DB library from Paul Keusemann/Gregory Neil Shapiro
-- Various package-ui fixes from Jan Vroonhof
-- Fix for doubled font-locking during buffer reversion
-- KFM browsing support from Neal Becker
-- info fix from Didier Verna
-- Build bug fixes from Martin Buchholz
-- Various Documentation updates
-- X-Face support for MS Windows native build from Gleb Arshinov
-- Restore corrupted CHANGES-beta file

to 21.0.64 "20 minutes to Nikko"
-- Dialog box fix from Jan Vroonhof
-- prevent minimization of maximized frame from Andy Piper
-- miscellaneous patches from Andy Piper and Gleb Arshinov
-- miscellaneous patches from Charles Waldman and Adrian Aichner
-- Mule dump time files remerged from mule-base package
-- Documentation fixes from Jan Vroonhof
-- 24bit color image fix from Kazuo OISHI
-- various build fixes from Martin Buchholz

to 21.0 "Pyrenean63"
-- miscellaneous bug fixes

to 21.0 "Pyrenean62"
-- 21.2 sync of mswindows and package fixes that got away.

to 21.0 "Poitou61"
-- mswindows modeline crash fix from Jonathan Harris
-- picon glyph fix from Gunnar Evermann
-- ldap fixes from Oscar Figueiredo
-- mswindows accelerator fix from Jonathan Harris
-- package fixes from Jan Vroonhof
-- configure fixes from Martin Buchholz
-- mule xemacs crash fixed
-- sound doc cleanup from Charles Waldman
-- package admin fixes under mswindows from Charles Waldman
-- sound.el name change sync from Andy Piper

to 21.0 "Poitou60"
-- help-echo message fix from Hrvoje Niksic
-- Fix building with union type on MS Windows NT from Andy Piper
-- Installation/Installation.el/config.values for MS Windows from Adrian
   Aichner
-- Package get cleanups from Greg Klanderman and Jan Vroonhof
-- Avoid defining CLASH_DETECTION on MS Windows NT from Adrian Aichner
-- Package UI fixes from Jan Vroonhof

to 21.0 "Poitou59"
-- Menu accelerator bug fix from Didier Verna
-- easymenu.el synch with FSF from Jan Vroonhof
-- chartable bug fixes from Hrvoje Niksic
-- Various MULE filenaming/localization bug fixes from Didier Verna
-- Linux/ARM support from James LewisMoss
-- Realpath fix for UnixWare2.1.3 from Takeshi Hagiwara
-- OSS Sound support for AIX from Michael Sperber
-- msw-faces X11 emulation fix from Adrian Aichner
-- Wnn6 detection fix from IENAGA Kazuyuki
-- More Cygwin b20 from Andy Piper
-- 64 bit cleanliness fix from Olivier Galibert
-- Package-get updates from Jan Vroonhof and Greg Klanderman
-- Movemail build fix for MS Windows NT from Andy Piper
-- Clicking on buttons not switching windows patch from Hrvoje Niksic
-- Cygwin b20 support from Andy Piper
-- Autoload cookie fix for cus-face.el from Jan Vroonhof
-- Frame resize inside window fix for MS Windows from Andy Piper
-- Type clean up patches from Steve Carney
-- movemail pop patches from Andy Piper
-- Fix auto-save-directory-fallback hardcoding at dump time from Jan Vroonhof
-- Package loading fixes from Greg Klanderman
-- Package Tool Finishing Touches from Jan Vroonhof
-- package-get-base.el removed from the core
-- BS/DEL fix from Glynn Clements
-- Tty vertical divider width now defaults to 1 instead of 0
-- MS Windows toolbar fixes from Jonathan Harris
-- Fix for XtDisplay being called with stale widget from Takeshi Hagiwara
-- Fixes for Cygwin b20 from Andy Piper
-- Package UI fetching improvements from Greg Klanderman
-- isearch regexp pruning bugfix from Hrvoje Niksic
-- package deletion fixes from Jan Vroonhof
-- gnuclient fix from Jan Vroonhof

to 21.0 "Poitou"
-- port to Motif >= 2.0
-- help keymap fixes from Jan Vroonhof
-- isearch mixed case bugfix from Hrvoje Niksic
-- cygwin gnuclient fix from Raymond Toy
-- fix for divide by 0 error in non-English MS Windows from Jonathan Harris
-- subprocess signalling fix for MS windows from Jonathan Harris
-- PROBLEMS file for MS windows from Jonathan Harris
-- BSD Fix from Kazuyuki IENAGA
-- miscellaneous bug fixes from Altrasoft
-- various package fixes
-- various documentation updates
-- widening fix from Gunnar Everman
-- signal fix in find-file-noselect from Hrvoje Niksic
-- Memory leak fix from Martin Buchholz
-- Memory leak fix from CDE DnD from Oliver Graf

to 21.0 "Norwegian"
-- PNG memleak fix from Andy Piper
-- MS Windows NT directory separator check fix from Jonathan Harris
-- font-menu fix from Jan Vroonhof

to 21.0 pre12 "Irish Goat"
-- visual package installer from Darryl Okahata
-- miscellaneous bug fixes from various people
-- miscellaneous fixes from Hrvoje Niksic
-- regexp docs from Karl Hegbloom

to 21.0 pre11 "Finnish Landrace"
-- Update of PROBLEMS by Marcus Thiessel
-- startup fixes from Michael Sperber
-- file-readable-p fix from Hrvoje Niksic

to 21.0 pre10 "Erzgeberg"
-- configure cleanup from Jareth Hein.
-- JPEG, GIF MS Windows native build procedure fixes from Jeff Sparkes
-- Doc fixes from Martin Buchholz
-- Miscellaneous bug fixes from Martin Buchholz

to 21.0 pre9 "Danish Landrace"
-- miscellaneous patches from Christoph Wedler
-- German TUTORIAL fix from Adrian Aichner
-- miscellaneous fixes from Charles Waldman, Martin Buchholz, Michael
   Sperber
-- miscellaneous fixes from Jonathan Harris, Colin Rafferty, Kai Haberzettl
-- cygwin fixes from Andy Piper
-- Reintegration of in-XEmacs gif support from Jareth Hein

to 21.0 pre8 "Corsican"
-- XEmacs enhanced button courtesy of Dave Finton
-- PNG transparency fix from Jareth Hein
-- typo fix in configure.in from Jan Vroonhof
-- GC bug fix from Gunnar Evermann.
-- Miscellaneous documentation updates from Adrian Aichner and Michael 
   Sperber.
-- Miscellaneous Lisp bug fixes from Jan Vroonhof, Greg Klanderman and John
   Jones.
-- DEC OSF support from Martin Buchholz
-- Unitialized builtin variable bug fix from Altrasoft
-- Miscellaneous bug fixes from Altrasoft

to 21.0 pre7 "Benadir"
-- [NONE]

to 21.0 pre6 "Belgian Fawn"
-- Miscellaneous bug fixes from various people
-- Rename MS Windows 'resource image instantiator to 'mswindows-resource
   courtesy of Altrasoft and Ben Wing

to 21.0 pre5 "Zhong Wei"
-- multiple DB configure fix from Gregory Neil Shapiro
-- miscellaneous fixes from various people

to 21.0 pre4 "Uzbek Black"
-- Miscellaneous documentation cleanup from Altrasoft
-- Updates for using emacsbug.el as primary bug report interface from
   Hrvoje Niksic
-- Russian TUTORIAL courtesy of Vladimir Bormotov
-- Build and dump fixes for MS Windows from Jonathan Harris
-- Modeline/Toolbar background color fix from Andy Piper
-- Hook fix redux from Kyle Jones
-- Patch for EFS for MS Windows NT native from Jonathan Harris
-- various patches and manual changes from Adrian Aichner
-- Miscellaneous hook patches from Kyle Jones
-- Calendar manual updates from Jeff Miller
-- various fixes from Martin Buchholz, Olivier Galibert, Michael Sperber
-- Documentation cleanup by Michael Sperber
-- Fix for customize breakage in MS Windows from Andy Piper
-- Line-number mode tuning from Hrvoje Niksic
-- Romanian Tutorial translation courtesy of Tudor Hulubei
-- Romanian Tutorial integration from Altrasoft

to 21.0 pre3 "Toggenburg"
-- Configure changes to handle Berkeley DB 2 from Kazuyuki IENAGA and Martin
   Buchholz
-- 64 bit cleanliness fix from Olivier Galibert
-- Package Documentation from Michael Sperber
-- Cygwin font lossage fix from Andy Piper

to 21.0 pre2 "Thuringian"
-- MS Windows font fixes from Jonathan Harris
-- MS Windows native build fixes from Fabrice POPINEAU
-- Miscellaneous bug fixes
-- Documentation updates
-- credits updates

to 21.0 pre1 "Swedish Landrace"
-- package-get-base synchronized with latest packages
-- MULE-ize eldap.c from Hrvoje Niksic
-- ntplay fix from Andy Piper
-- info fixes from Oscar Figueiredo
-- list-mode fix from Christoph Wedler
-- Gnuclient SIGHUP fix from Jim Radford

to 21.0 beta43 "Spanish"
-- texinfo documentation synched from GNU texinfo-3.12
-- Manual cleanup from Adrian Aichner
-- Miscellaneous fixes from Rick Rankin
-- D'n'D fixes from Oliver Graf
-- startup changes from Stephen Turnbull
-- Miscellaneous fixes from Kirill Katsnelson
-- PNG Graphics fix from Gunnar Evermann
-- Miscellaneous MS windows patches from Andy Piper
-- Graphics update from Hrvoje Niksic
-- Miscellaneous patches from Hrvoje Niksic
-- NEWS updates from Hrvoje Niksic
-- Grayscale JPEG fix from Jareth Hein
-- Miscellaneous patches from Didier Verna
-- Miscellaneous patches from Altrasoft

to 21.0 beta42 "Somali"
-- Sounds are no longer included in the core distribution
-- Unexec fix for SGI from Olivier Galibert
-- xbm support for MS Windows
-- pixel function updates from Greg Klanderman
-- Miscellaneous cygwin patches from Andy Piper
-- Miscellaneous patches from Martin Buchholz
-- New GIF lite readonly GIF support from Jareth Hein
-- $HOME fixes for MS Windows from Darryl Okahata
-- Miscellaneous changes from Kirill Katsnelson
-- DnD update from Oliver Graf
-- pixel function naming cleanup from Greg Klanderman
-- specifier fixes from Hrvoje Niksic
-- tooltalk crash fix from Gunnar Evermann
-- various changes from Andy Piper
-- toolbar button size and glyph patch from Andy Piper
-- Miscellaneous changes from Hrvoje Niksic
-- Miscellaneous changes from Martin Buchholz
-- warnings cleanup from Kirill Katsnelson
-- msw graphics patch from Andy Piper

to 21.0 beta41 "San Clemente"
-- MS Windows font charset support from Kirill Katsnelson
-- Special glyph fixes from Kirill Katsnelson
-- MS Windows Dialog boxes from Kirill Katsnelson
-- allow electric slash to be a backslash from Hrvoje Niksic
-- Selection cleanup from Andy Piper
-- LDAP compilation fixes from Martin Buchholz and Oscar Figueiredo
-- MS Windows NT dump fix from Kirill Katsnelson
-- gnuserv for MS Windows NT and Cygwin from Andy Piper
-- Cursor resource update from Andy Piper
-- save-some-buffers fix from Hrvoje Niksic
-- Specifier fixes from Hrvoje Niksic
-- Various warning fixes from Martin Buchholz
-- face fix from Andy Piper
-- Various MS Windows fixes from Kirill Katsnelson
-- etags.c-13.6 courtesy of Francesco Potort,Al(B
-- FreeBSD 2.2.6 now supports LC_ALL from Kazuyuki IENAGA
-- Toolbar fixes from Kirill Katsnelson
-- Ignore most recent libtiff from Martin Buchholz
-- minor mode menu cleanup from Hrvoje Niksic
-- OpenBSD support from Hans Guenter Weigand
-- MS Windows NT process fixes from Kirill Katsnelson
-- miscellaneous patches from Martin Buchholz
-- MS Windows toolbar hasing fix from Andy Piper
-- MS Windows cursor resources update from Andy Piper
-- AIX initialization fixes from Michael Sperber
-- Startup optimization from Michael Sperber
-- MS Windows cursor initialization from Kirill Katsnelson
-- miscellaneous patches from Kirill Katsnelson
-- 64 bit clean fixes from Olivier Galibert
-- Interactive compiled functions and anonymous forms fixes from Hrvoje Niksic
-- Miscellaneous cleanup fixes from Altrasoft

to 21.0 beta40 "Saanen"
-- Vertical divider hacking from Didier Verna and Kirill Katsnelson
-- Bind cut'n'paste keys to generic functions from Jonathan Harris
-- MS Windows toolbar size fix from Andy Piper
-- Icons from MS Windows resources from Andy Piper
-- New function `windows-text-lines-pixel-height' from Greg Klanderman
-- Window beats buffer in specifiers from Kirill Katsnelson
-- Dialog box as a dialog box from Kirill Katsnelson
-- More DnD fixes from Oliver Graf
-- NEWS updates from Hrvoje Niksic
-- More device metrics from Kirill Katsnelson
-- Miscellaneous patches from Hrvoje Niksic
-- Documentation updates from Christian Nyb,Ax(B
-- More vertical divider fixes from Kirill Katsnelson
-- New function zap-up-to-char, behaves like zap-to-char in Emacs 18
-- Toolbar fixes from Andy Piper
-- Miscellaneous MS Windows fixes from Kirill Katsnelson
-- vertical divider shadow thickness specifier from Didier Verna
-- More device metrics from Kirill Katsnelson
-- Minibuffer synch with FSF Emacs from Michael Sperber
-- DnD fixes from Oliver Graf
-- decode-path cleanup from Hrvoje Niksic
-- Miscellaneous patches from Hrvoje Niksic
-- clear region bg pixmap fixes from Andy Piper
-- Various cleanup patches from Martin Buchholz
-- miscellaneous code cleanup
-- with-display-help-buffer fixes from Hrvoje Niksic
-- Draggable vertical dividers from Kirill Katsnelson
-- More MS Windows DnD support from Jonathan Harris
-- Reversion to old key descriptions from Hrvoje Niksic
-- DnD updates from Oliver Graf
-- Fix mouse(-pixel)?-position from Kirill Katsnelson
-- More device metrics fixes from Kirill Katsnelson
-- background pixmaps for MS Windows from Andy Piper
-- various build fixes from SAKIYAMA Nobuo and Kirill Katsnelson
-- Fix for non-interruptible re_search from Hrvoje Niksic
-- miscellaneous fixes from Hrvoje Niksic
-- focus frame fixes from Hrvoje Niksic
-- Really apply Kyle Jones' realpath fixes (sorry).

to 21.0 beta39 "Russian White"
-- DnD fixes from Oliver Graf and Jonathan Harris
-- scrollbar visibility and placement specifiers from of Kirill Katsnelson
-- x-toolbar.el and x-menubar.el renamed to toolbar-items.el and
   menubar-items.el
-- Device metrics from Kirill Katsnelson
-- Frame redraw smoothing fix from Kirill Katsnelson
-- MS Windows transparency handling from Andy Piper
-- XEmacs FAQ update from Christian Nybo
-- MS Windows build fix for minimal tagbits, etc. from Kirill Katsnelson
-- Fix cancelling directory creation prompt from Hrvoje Niksic
-- cygwin build fixes from Andy Piper
-- Restore oo-browser etags.c as ootags.c
-- Socket connections for Windows from Kirill Katsnelson
-- region limiting fixes from Hrvoje Niksic
-- cleanup focus-follows-mouse handling from Greg Klanderman
-- mswindows cursor support from Andy Piper
-- elimination of bzero from Michael Sperber
-- build fix from Jeff Miller
-- xpm button fix from Andy Piper
-- add optional `norecord' arg to select-window from Greg Klanderman
-- regexp quote fix from Hrvoje Niksic
-- early frame title update from Jan Vroonhof
-- Make character 0240 display as space from Kyle Jones
-- 0 argument printing fix from Hrvoje Niksic
-- revert recent changes to etags.c
-- dump clean up, removal of Lisp reader macros
-- spelling fix from Jonathan Harris
-- MS Windows build fix from Kirill Katsnelson
-- sound fixes from Kyle Jones
-- LDAP updates from Oscar Figueiredo
-- Drag and drop update from Oliver Graf
-- rename XEmacs internal realpath from Kyle Jones
-- rangetab cleanup from Martin Buchholz
-- etags fix
-- miscellaneous bug fixes

to 21.0 beta38 "Repartida"
-- apropos.el modernization
-- Documentation updates from Hrvoje Niksic
-- range table fix from Olivier Galibert
-- Various changes from Andy Piper
-- Magic specifier fixes from Kirill Katsnelson
-- Various changes from Hrvoje Niksic
-- print changes/find-file changes from Hrvoje Niksic
-- source formatting changes from Martin Buchholz
-- font handling for W3 under MS Windows from Andy Piper
-- Xpm color symbol support for MS Windows from Andy Piper
-- keyboard macro fixes from Hrvoje Niksic
-- MS Windows Signal fix from Kirill Katsnelson
-- All GIFs in core distribution converted to PNGs -- screw Unisys
-- More build tweaks
-- Make line-number-mode/column-number-mode appear in minor mode menu from
   Jim Radford
-- General toolbar fixes from Kirill Katsnelson
-- Selection patches from Andy Piper
-- background pixmaps in MS Windows from Andy Piper
-- Startup patches from Michael Sperber
-- Signalling support for MS Windows from Kirill Katsnelson
-- Startup tweaks
-- PNG crash fix from Jareth Hein
-- Keyboard Focus sanity from Greg Klanderman
-- LDAP fixes from Oscar Figueiredo
-- Fix Lisp union type on MS Windows from Andy Piper
-- Miscellaneous patches from Jonathan Harris, Kirill Katsnelson
-- Build clean up

to 21.0 beta37 "Pygmy"
-- Bug fixes, generalization of image code from Andy Piper
-- Installation/startup fixes from Michael Sperber
-- Irix 5.3 dumping fix from Olivier Galibert
-- Bug fixes from Martin Buchholz, Michael Sperber and Bob Weiner
-- miscellaneous bug fixes
-- More fixes from Didier Verna for Customization of options menu
-- Miscellaneous patches from Kirill Katsnelson and Hrvoje Niksic
-- More MS Windows toolbar stuffs from Kirill Katsnelson
-- Custom-ization of the options menu from Didier Verna
-- MS Windows toolbar stuffs from Andy Piper
-- MS Windows build fixes from Kirill Katsnelson
-- MS Windows process fixes from Kirill Katsnelson
-- miscellaneous patches from Michael Sperber, Hrvoje Niksic, Martin Buchholz
-- Gnuclient/gnudoit stdin support from Jan Vroonhof
-- eldap fixes from Oscar Figueiredo
-- Synching with InfoDock 3.7
-- info fixes from Oscar Figueiredo 
-- removed --sitelispdir configure option
-- miscellaneous bug fixes

to 21.0 beta36 "Philippine"
-- Xpm for MS Windows from Jonathan Harris
-- print stream fix from Hrvoje Niksic
-- etags.c fix from Andreas Jaeger
-- dll fixes from Hrvoje Niksic
-- etags.c synched with InfoDock
-- ghost specifiers from Kirill Katsnelson
-- DLL fix from Hrvoje Niksic
-- cygwin installation fix from Andy Piper
-- cygwin process fix from Andy Piper
-- More startup changes from Michael Sperber
-- new version of LDAP code from Oscar Figueiredo
-- path debugging patches from Michael Sperber
-- more fixes from Hrvoje Niksic
-- miscellaneous patches from Kirill Katsnelson
-- Toolbar support for MS Windows from Andy Piper
-- Changes by FUKUI Kaoru for PPC/Linux
-- various fixes from Martin Buchholz
-- various patches from Hrvoje Niksic
-- s/*.h cleanup from Olivier Galibert
-- display fixes from Greg Klanderman
-- More MS Windows process patches from Kirill Katsnelson
-- More path searching fixes from Michael Sperber
-- path searching changes from Michael Sperber
-- MS Windows fixes from Kirill Katsnelson

to 21.0 beta35 "Peacock Goat"
-- info fixes from Oscar Figueiredo
-- Various fixes from Hrvoje Niksic
-- More clean up patches from Martin Buchholz
-- MS Windows processes patches from Kirill Katsnelson
-- path searching patches from Michael Sperber
-- clean up patches from Martin Buchholz
-- Various fixes from Hrvoje Niksic
-- BSD fixes from IENAGA Kazuyuki
-- glyphs-x.c cleanup from Colin Rafferty
-- MS windows fixes from Kirill Katsnelson
-- toolbar clean up from Jeff Miller
-- Hunt the Wumpus 64 bit cleanness patches from Olivier Galibert
-- miscellaneous bug fixes
-- info updates from Oscar Figueiredo
-- Various patches from Andreas Jaegar, Olivier Galibert, Karl Hegbloom,
   and Amir Katz
-- FAQ update from Christian Nyb,Ax(B
-- miscellaneous fixes from Martin Buchholz
-- package-get-base.el updated

to 21.0 beta34 "Oberhasli"
-- defsymbol cleanup from Martin Buchholz
-- miscellaneous patches from Martin Buchholz
-- MS Windows fixes from Andy Piper
-- various motion changes from Greg Klanderman
-- dynamic info dir/localdir courtesy of Oscar Figueiredo
-- Various patches from Kyle Jones and Hrvoje Niksic
-- package path startup fixes from Michael Sperber
-- Speed fix/MS Windows cleanup patches from Kirill Katsnelson
-- Martin patches
-- miscellaneous bug fixes

to 21.0 beta33 "Nigerian Dwarf"
-- Various MS Windows patches from Kirill Katsnelson, Andy Piper and
   Jonathon Harris
-- Startup fixes from Michael Sperber
-- Various fixes from Hrvoje Niksic
-- Various fixes from Kyle Jones
-- miscellaneous bug fixes

to 21.0 beta32 "Nachi"
-- NT image support from Andy Piper
-- Various fixes from Hrvoje Niksic
-- Canna detection now looks for includes in /usr/local/canna
-- load-gc renamed to pureload
-- itimer.el-1.07 courtesy of Kyle Jones
-- package-path searching fixes courtesy of Michael Sperber
-- buffer overrun prevention patches from Hrvoje Niksic, and Jan Vroonhof
-- various patches from Hrvoje Niksic
-- Miscellaneous patches from Kyle Jones, Kirill Katsnelson,
-- decode-path-internal added as lisp level interface to decode_path
-- parse-colon-path restored to files.el
-- miscellaneous startup fixes
-- DLL fixes from William Perry
-- PNG autodetectin update

to 20.5 beta31 "Myotonic"
-- modules directory with dll examples courtesy of William Perry
-- Upside-down TIFF fix from Jareth Hein
-- ldap/eudc fixes from Oscar Figueiredo
-- file coding changes/cleanup from Kirill Katsnelson
-- separation of internal motion commands from user keystroke motion commands
   from Kyle Jones
-- miscellaneous cursor bug fixes from Kyle Jones
-- More bug fixes from Kirill Katsnelson
-- Better error message for unbound major modes from Pete Ware
-- Updates on DLL support from William Perry
-- New GIF support from Jareth Hein
-- Miscellaneous MS windows fixes from Kirill Katsnelson
-- Scrollable modeline deferred until 21.1
-- 20.5 is renamed to 21.0
-- TMPDIR fixes from Glynn Clements
-- cygwin dll detection fixes from Andy Piper
-- NT .wav sound support from Andy Piper
-- Cygwin configuration fixes from Andy Piper
-- mouse-4, mouse-5 portability keysyms
-- Options -> Browse Faces now calls customize-face from Kyle Jones
-- miscellaneous bug fixes
-- DLL configuration and portability fixes from William Perry
-- Marker and sound fixes from Hrvoje Niksic
-- face initialization bug fixes from Kyle Jones
-- static initializer fix from Kyle Jones

to 20.5 beta30 "Moxot,As(B"
-- find-gc.el fixes courtesy of Markus Linnala
-- mousewheel support courtesy of William Perry
-- Mule tty initialization courtesy of Kazuyuki IENAGA
-- backspace mapping fixing from Kyle Jones
-- New function `temp-directory' courtesy of Glynn Clements
-- miscellaneous patches from Jens UH Petersen, Greg Klanderman, Kirill
   Katsnelson and Kyle Jones
-- miscellaneous cygwin cleanup from Andy Piper
-- dired in C changes courtesy of Darryl Okahata
-- process abstraction changes courtesy of Kirill Katsnelson
-- Added an example of a DLL
-- Coding system cleanup courtesy of Andy Piper
-- Build fixes for --srcdir
-- Miscellaneous fixes
-- Fix localized menubars to work when the application class changes name.

to 20.5 beta29 "Loashan"
-- Add autodetection of DLL support
-- bug fixes from Kyle Jones
-- miscellaneous bug fixes
-- `make all' really remakes everything 
-- Installation file changes format:
   XEmacs version is printed
   Previous versions are now deleted by default
-- --with-dlmalloc configure option added
-- fix multicast support courtesy of Didier Verna
-- LDAP fixes courtesy of Oscar Figueiredo

to 20.5 beta28 "LaMancha"
-- eudc/LDAP stuffs courtesy of Oscar Figueiredo
-- file-coding separation from Mule courtesy of Andy Piper
-- Various fixes from Kyle Jones
-- Support for multicasting courtesy of Didier Verna
-- Fix for respecting tty-erase-char courtesy of Glynn Clements
-- Miscellaneous patches from Karl Hegbloom
-- Miscellaneous patches from Greg Klanderman
-- Allow `XEmacs' to be used in X resources courtesy of Greg Klanderman
-- menu fixes courtesy of Aki Vehtari
-- gnu(serv|client) can use TMPDIR if set courtesy of Glynn Clements
-- miscellaneous fixes from Greg Klanderman
-- Various modeline fixes courtesy of Didier Verna
-- Miscellaneous doc fixes courtesy of Karl Hegbloom
-- Miscellaneous bug fixes
-- Glyph changes when dragging modeline courtesy of Didier Verna

to 20.5 beta27 "Kinder"
-- Locale fix courtesy of Kazuyuki IENAGA
-- Fix for TZSET problem on Sun via Jens Krinke
-- Another try at modeline scroll, courtesy of Didier Verna
-- Miscellaneous bug fixes

to 20.5 beta26 "Kiko"
-- MS Windows patches courtesy of Kirill Katsnelson
-- Various patches from Kyle Jones
-- Modeline scrolling courtesy of Dider Verna
-- various patches from Christoph Wedler
-- Fixes for Linux/alpha courtesy of Aki Vehtari
-- Mouse scrolling fix courtesy of Didier Verna
-- files.el fix courtesy of Kyle Jones
-- (Not so) Experimental support for Doug Lea Malloc
-- XEmacs/Mule in a tty works courtesy of Kazuyuki IENAGA
-- Miscellaneous bug fixes

to 20.5 beta25 "Kamori"
-- Dead key fixes courtesy of Martin Buchholz
-- Make count-* functions work sensibly courtesy of Hrvoje Niksic
-- SGI unexec fixes courtesy of Olivier Galibert
-- Miscellaneous bug fixes

to 20.5 beta24 "Kaghani"
-- source commentary censored
-- Miscellaneous MS Windows patches from Kirill Katsnelson
-- Miscellaneous MS Windows patches from Jonathan Harris
-- Miscellaneous patches from Martin Buchholz and Hrvoje Niksic
-- Cygwin patches courtesy of Andy Piper
-- Fix for integer 0 plist problem on Linux courtesy of Olivier Galibert
-- Miscellaneous bug fixes

to 20.5 beta23 "Jining Grey"
-- MS Windows DnD stuffs courtesy of Jonathon Harris
-- Miscellaneous bug fixes

to 20.5 beta22 "Grison's Striped"
-- Port to mklinux courtesy of Kaoru Fukui
-- Miscellaneous bug fixes

to 20.5 beta21 "Golden Guernsey"
-- Package interface standard 1.0
-- Cygwin stuffs from Andy Piper
-- Miscellaneous patches from Kyle Jones
-- Miscellaneous patches from Martin Buchholz
-- Experimental Shared Library support courtesy of Joshua Rowe, and integration
   courtesy of Hrvoje Niksic
-- Miscellaneous patches from Hrvoje Niksic
-- Miscellaneous bug fixes

to 20.5 beta20 "Don"
-- Miscellaneous patches from Damon Lipparelli, Jens Petersen, Karl Hegbloom,
   and Christoph Wedler
-- overlay.el has been packaged (xemacs-base)
-- Configure changes from Martin Buchholz
-- Hashing changes from Hrvoje Niksic
-- IBM AIX build fix to work with MIT X11 courtesy of Michael Sperber
-- Miscellaneous bug fixes

to 20.5 beta19 "Damani"
-- Package building update
-- Hash and profile patches from Hrvoje Niksic
-- Miscellaneous bug fixes

to 20.5 beta18 "Daera Din Panah"
-- Miscellaneous and sundry fixes for 20.4 merged
-- MS Windows updates from Kirill Katsnelson and Andy Piper
-- New command line arg `-no-autoloads' to suppress auto-autoloads loading
   at startup (also implies -vanilla)
-- auto-autoloads are not dumped
-- Miscellaneous bug fixes

to 20.5 beta17 "Chapar"
-- Tutorial menubar support courtesy of Didier Verna
-- Package-get refined courtesy of Pete Ware
-- Package related build fixes

to 20.5 beta16 "Canind,Ai(B"
-- Package interface updates
-- Reload updated and new auto-autoloads files at startup
-- Miscellaneous bug fixes

to 20.5 beta15 "British Alpine"
-- MS Windows menu fixes courtesy of Kirill Katsnelson
-- autoloads are now loaded into impure storage and can be deleted at runtime
-- loadhist.el is now dumped with XEmacs
-- XEmacs running in place as a login shell now works
-- loadhist.el unpackaged
-- COMPILED_FUNCTION_ANNOTATION disabled
-- Added new compile time symbols -- LOADHIST_DUMPED and LOADHIST_BUILTIN
   adapted from code originally by Tomasz Cholewo

to 20.5 beta14 "Booted Goat"
-- help.el update courtesy of Jens Petersen
-- Image error handling courtesy of Jareth Hein
-- MS Windows menubar support courtesy of Kirill Katsnelson
-- Compile time/but not run-time support for cygwin courtesy of Andy Piper
-- Miscellaneous bug fixes

to 20.5 beta13 "Boer"
-- Run time dependencies on x-win*.el removed.
-- Total package upgrade
-- Miscellaneous bug fixes
-- Documentation fixes

to 20.5 beta12 "Bhuj"
-- MS Windows NT patches courtesy of Jeff Sparkes and Kirill Katsnelson
-- userlock.el is now unpackaged
-- New file callers-of-rpt.el (dependency generator) courtesy of Karl Hegbloom
-- Gnats is now packaged
-- SKK is now packaged
-- Egg/Its is now packaged
-- FAQ update courtesy of Andreas Kaempf and Aki Vehtari
-- 20.4 renumbered to 20.5
-- Miscellaneous bug fixes

to 20.5 beta11 "Beetal"
-- Patches and bugfixes from Hrvoje Niksic and Kyle Jones
-- MS Windows updates courtesy of Kirill Katsnelson and Jeff Sparkes
-- Localized French menus courtesy of Olivier Galibert
-- Localized Japanese menu update courtesy of IENAGA Kazuyuki
-- Miscellaneous bug fixes

to 20.5 beta10 "Barbari"
-- MS Windows NT updates courtesy of Kirill M. Katsnelson
-- etags.el update courtesy of Hrvoje Niksic
-- Miscellaneous bug fixes

to 20.5 beta9 "Australian Goat"
-- MS Windows patches for clipboard courtesy of Jonathon Harris
-- ImageMagick support displays images now courtesy of Jareth Hein
-- Untested support for kWnn and cWnn (Korean and Chinese input with Egg and
   Wnn added).
-- Miscellaneous bug fixes

to 20.5 beta8 "Arapawa Island"
-- build-report 1.35 courtesy of Adrian Aichner
-- MS Windows stuffs from David Hobley, Jonathon Harris, August Hill,
   Jeff Sparkes
-- various patches from Jareth Hein
-- refcard update courtesy of Aki Vehtari
-- Egg-SJ3 Input Method support ported
-- SKK Input Method added
-- Various patches from Kyle Jones and Hrvoje Niksic
-- Various fixes to build in minimal configuration
-- Fixes to x-menubar.el to guard against possibly absent packages
-- Miscellaneous bug fixes

to 20.5 beta7 "Appenzell"
-- Miscellaneous MS Windows patches from David Hobley and Jeff Sparkes
-- ImageMagick is not autodetected by configure courtesy of IENAGA Kazuyuki
-- (broken) energize support has been removed courtesy of Jeff Miller
-- lisp/eos has been packaged
-- lisp/sunpro has been packaged
-- lisp/tooltak has been packaged
-- abbrevlist.el has been packaged
-- advice.el has been packaged
-- annotations.el has been packaged
-- assoc.el has been packaged
-- atomic-extents.el has been packaged
-- bench.el has been packaged
-- browse-url.el has been packaged
-- edit-toolbar.el has been packaged
-- edmacro.el has been packaged
-- eldoc.el has been packaged
-- facemenu.el has been packaged
-- floating-toolbar.el has been packaged
-- foldout.el has been packaged
-- frame-icon.el has been packaged
-- hippie-exp.el has been packaged
-- live-icon.el has been packaged
-- loadhist.el has been packaged
-- passwd.el has been packaged
-- ph.el has been packaged
-- pp.el has been packaged
-- pretty-print.el has been packaged
-- redo.el has been packaged
-- regexp-opt.el has been packaged
-- regi.el has been packaged
-- reporter.el has been packaged
-- ring.el has been packaged
-- savehist.el has been packaged
-- shadowfile.el has been packaged
-- skeleton.el has been packaged
-- symbol-syntax.el has been packaged
-- sysdep.el has been packaged
-- thing.el has been packaged
-- timezone.el has been packaged
-- toolbar-utils.el has been packaged
-- tree-menu.el has been packaged
-- xbm-button.el has been packaged
-- xpm-button.el has been packaged
-- advocacy.el has been packaged
-- case-table.el has been packaged
-- debug.el has been packaged
-- disp-table.el has been packaged
-- env.el has been packaged
-- find-func.el has been packaged
-- lisp-file-db.el has been packaged
-- macros.el has been packaged
-- novice.el has been packaged
-- options.el has been removed
-- overlay.el has been packaged
-- profile.el has been packaged
-- rect.el has been packaged
-- reposition.el has been packaged
-- sort.el has been packaged
-- tabify.el has been packaged
-- userlock.el has been packaged
-- elp.el has been packaged
-- highlight-headers.el has been packaged
-- id-select.el has been packaged
-- rfc822.el has been packaged
-- smtp.el has been packaged
-- soundex.el has been packaged
-- tq.el has been packaged
-- trace.el has been packaged
-- uniquify.el has been packaged
-- cmdloop1.el has been removed
-- inc-vers.el has been removed
-- icomplete.el has been packaged
-- igrep.el has been packaged
-- informat.el has been packaged
-- iswitchb.el has been packaged
-- jka-compr.el has been packaged
-- makeinfo.el has been packaged
-- makesum.el has been packaged
-- man.el has been packaged
-- metamail.el has been packaged
-- mic-paren.el has been packaged
-- mode-motion+.el has been packaged
-- rcompile.el has been packaged
-- recent-files.el has been packaged
-- refbib.el has been packaged
-- reportmail.el has been packaged
-- resume.el has been packaged
-- generic-sc.el has been packaged
-- gopher.el has been packaged
-- hexl.el has been packaged
-- fast-lock.el has been packaged
-- feedmail.el has been packaged
-- file-part.el has been packaged
-- filladapt.el has been packaged
-- func-menu.el has been packaged
-- saveconf.el has been packaged
-- saveplace.el has been packaged
-- scroll-in-place.el has been packaged
-- shell-font.el has been packaged
-- spell.el has been packaged
-- supercite.el has been packaged
-- page-ext.el has been packaged
-- paren.el has been packaged
-- pending-del.el has been packaged
-- ps-print.el has been packaged
-- edit-faces.el has been packaged
-- emacsbug.el has been packaged
-- emerge.el has been packaged
-- lazy-lock.el has been packaged
-- ledit.el has been packaged
-- lispm-fonts.el has been packaged
-- lpr.el has been packaged
-- tar-mode.el has been packaged
-- terminal.el has been packaged
-- tex-latin1.el has been packaged
-- texinfmt.el has been packaged
-- texnfo-tex.el has been packaged
-- texnfo-upd.el has been packaged
-- time-stamp.el has been packaged
-- time.el has been packaged
-- uncompress.el has been packaged
-- underline.el has been packaged
-- upd-copyr.el has been packaged
-- webjump.el has been packaged
-- webster-www.el has been packaged
-- xscheme.el has been packaged
-- dabbrev.el has been packaged
-- desktop.el has been packaged
-- detexinfo.el has been packaged
-- diff.el has been packaged
-- doctex.el has been packaged
-- chistory.el has been packaged
-- cmuscheme.el has been packaged
-- compare-w.el has been packaged
-- compile.el has been packaged
-- completion.el has been packaged
-- crypt.el has been packaged
-- bookmark.el has been packaged
-- blink-paren.el has been packaged
-- blink-cursor.el has been packaged
-- big-menubar.el has been packaged
-- balloon-help.el has been packaged
-- backup-dir.el has been packaged
-- avoid.el has been packaged
-- autoinsert.el has been packaged
-- array.el has been packaged
-- add-log.el has been packaged
-- oobr has been packaged
-- mail-extr.el, mail-utils.el have been packaged
-- view-process has been packaged
-- vhdl-mode has been packaged
-- texinfo.el has been packaged
-- tex-mode.el has been packaged
-- sendmail.el has been packaged
-- sgml-mode.el has been packaged
-- scribe.el has been packaged
-- scheme.el has been packaged
-- rsz-minibuf.el has been packaged
-- rexx-mode.el has been packaged
-- reftex.el has been packaged
-- python-mode.el has been packaged
-- prolog.el has been packaged
-- postscript.el has been packaged
-- picture.el has been packaged
-- perl-mode.el has been packaged
-- pascal.el has been packaged
-- outline.el has been packaged
-- outl-mouse.el has been packaged
-- nroff-mode.el has been packaged
-- modula2.el has been packaged
-- make-mode.el has been packaged
-- mail-abbrevs.el has been packaged
-- lisp-mnt.el has been packaged
-- linuxdoc-sgml.el has been packaged
-- lazy-shot.el has been packaged
-- image-mode.el has been packaged
-- icon.el has been packaged
-- hideshow.el has been packaged
-- hideif.el has been packaged
-- executable.el has been packaged
-- enriched.el has been packaged
-- eiffel3.el has been packaged
-- cperl-mode.el has been packaged
-- cmacexp.el has been packaged
-- cl-indent.el has been packaged
-- c-style.el has been packged
-- c-fill.el has been packaged
-- c-comment.el has been packaged
-- bibtex.el has been packaged
-- bib-mode.el has been packaged
-- awk-mode.el has been packaged
-- autoconf-mode.el has been packaged
-- Miscellaneous bug fixes

to 20.5 beta6 "Angora"
-- New package-path syntax.  A null package indicates where the default lisp
   should go.  This allows specifying packages that must be appended to the
   package path.  Courtesy of Colin Rafferty
-- `-flags' and `-?' are no longer command flags
-- MS Windows updates from David Hobley, Jonathon Harris, and Marc Paquette
-- Mule/enriched.el update courtesy of MORIOKA Tomohiko
-- FAQ updates courtesy of Hrvoje Niksic and Aki Vehtari
-- crisp.el-1.26 courtesy of Gary Foster
-- Egg update courtesy of Jareth Hein
-- Update to Norwegian TUTORIAL courtesy of Stig Bj,Ax(Brlykke
-- Polish translation of the TUTORIAL courtesy of Remek Trzaska, update and
   corrections courtesy of Rysiek Kubiak
-- Toolbar improvements courtesy of Kyle Jones
-- Miscellaneous bug fixes

to 20.5 beta5 "Anglo-Nubian"
-- CCL synched with Emacs 20.2 courtesy of Olivier Galibert
-- various updates from Hrvoje Niksic and Kyle Jones
-- MS Windows updates from Marc Paquette and Jonathon Harris
-- FAQ update courtesy of Andreas Kaempf
-- miscellaneous bug fixes

to 20.5 beta4 "American Cashmere"
-- Major changes in portable dumping/Lisp_Object code courtesy of Kyle Jones
-- Miscellaneous patches from Kyle Jones, Hrvoje Niksic
-- various build tweaks
-- help-macro ported from Emacs 20 courtesy of Hrvoje Niksic
-- Fix compiler warnings
-- MS Windows patches from Marc Paquette and Darryl Okahata
-- Change pointer glyph over custom buttons courtesy of Hrvoje Niksic
-- New Lisp variable:  last-command-event-time courtesy of Kyle Jones
-- miscellaneous bug fixes

to 20.5 beta3 "Altai Mountain"
-- query-replace and query-replace-regexp will only replace the region if the
   zmacs region is active.
-- iso-acc.el has been packaged
-- iso-ascii.el has been packaged
-- iso-cvt.el has been packaged
-- iso-insert.el has been packaged
-- iso-swed.el has been packaged
-- iso-syntax.el has been packaged
-- swedish.el has been packaged
-- edebug has been packaged
-- ebuff-menu.el has been packaged
-- echistory.el has been packaged
-- ehelp.el has been packaged
-- electric.el has been packaged
-- helper.el has been packaged
-- arc-mode.el has been packaged
-- ada-stmt.el has been packaged
-- ada-mode.el has been packaged
-- fortran.el has been packaged
-- fortran-misc.el has been packaged
-- f90.el has been packaged
-- ksh-mode.el has been packaged
-- m4-mode.el has been packaged
-- strokes.el has been packaged
-- sh-script.el has been packaged
-- simula.el has been packaged
-- tcl.el has been packaged
-- verilog-mode.el has been packaged
-- view.el has been packaged
-- vrml-mode.el has been packaged
-- whitespace-mode.el has been packaged
-- winmgr-mode.el has been packaged
-- xpm-mode.el has been packaged
-- xrdb-mode.el has been packaged
-- Suppress shadowing message if no shadows were found.
-- Moved dumped lisp into top-level lisp directory
-- bug fixes from Didier Verna, Jens-Ulrik Holger Petersen, Martin Buchholz,
   and Tomasz Cholewo.
-- Lazy shot updates from Jan Vroonhof
-- Numerous bug fixes from Hrvoje Niksic
-- Numerous bug fixes from Kyle Jones
-- Mule changes courtesy of MORIOKA Tomohiko
-- speedbar has been packaged (and updated courtesy of Hrvoje Niksic)
-- Initial Native MS Windows support courtesy of Jonathan Harris
-- comint has been packaged
-- pcl-cvs has been packaged
-- cc-mode has been packaged
-- ilisp has been packaged
-- apel has been packaged
-- hyperbole has been packaged
-- eterm has been packaged
-- Elimination of broken VMS code courtesy of Andreas Jaeger
-- Miscellaneous bug fixes

to 20.5 beta2 "Alpine"
-- hm--html-mode has been packaged
-- viper has been packaged
-- ediff has been packaged
-- EFS has been packaged
-- Mailcrypt has been packaged
-- VM has been packaged
-- Mule updates, elimination of dead languages courtesy of MORIOKA Tomohiko
-- Phase one of graphics conversion to ImageMagic courtesy of William Perry
-- Miscellaneous menu hacking courtesy of Kyle Jones
-- Reorganization of Lisp type & type bits courtesy of Kyle Jones
-- reftex.el 3.7 courtesy of Carsten Dominik
-- Norwegian tutorial update courtesy of Stig Bjorlykkee
-- ediff & viper updates courtesy of Michael Kifer
-- Canna & Wnn integrated with LEIM courtesy of Stephen Turnbull
-- Berkeley DB 2.x support courtesy of Andreas Jaeger
-- tm has been packaged
-- calendar has been packaged
-- Build tweak: finder-inf is not aggressively rebuilt
-- New versions of TUTORIAL:
--   Croatian - Hrvoje Niksic
--   French - Didier Verna
--   German - Adrian Aichner
--   Norwegian - Stig Bjorlykke
--   Japanese, Korean, Thai - Imported from Emacs 20.1
-- Disable puresize statistics unless --debug is in effect
-- about.el hacking
-- New command line options -no-packages, -vanilla
-- psgml has been packaged
-- Move lisp types into lrecords for portability courtesy of Kyle Jones
-- yow.el has been packaged
-- xmine.el has been packaged
-- tetris.el has been packaged
-- hanoi.el has been packaged
-- hide-copyleft.el has been packaged
-- flow-ctrl.el has been packaged
-- find-gc.el has been packaged
-- detached-minibuf.el has been packaged
-- crontab.el has been packaged
-- browse-cltl2.el has been packaged
-- studly.el has been packaged
-- spook.el has been packaged
-- mpuz.el has been packaged
-- life.el has been packaged
-- gomoku.el has been packaged
-- flame.el has been packaged
-- dunnet.el has been packaged
-- doctor.el has been packaged
-- dissociate.el has been packaged
-- decipher.el has been packaged
-- cookie1.el has been packaged
-- conx.el has been packaged
-- blackbox.el has been packaged
-- NeXTify.el has been packaged
-- Support for conses and vectors to be lrecords
-- autoloads found in User packages loaded at start up
-- reftex.el update courtesy of Carsten Dominik
-- crisp.el-1.21 courtesy of Gary Foster
-- lazy-shot.el update from Jan Vroonhof
-- XEmacs/BETA logo courtesy of Mark Borges & Didier Verna
-- Oliver Graf OffiX patches
-- Mule patches from MORIOKA Tomohiko
-- xemacs-build-report-1.33 courtesy of Adrian Aichner
-- Hrvoje Niksic updates
-- Miscellaneous bug fixes

to 20.5 beta1 "Century"
-- Version fork, package work will be carried on in this branch
-- Miscellaneous bug fixes

to 20.3 beta28 "Reykjavik"
-- about.el additions and updates
-- See etc/BETA for initial package documentation
-- Miscellaneous patches from Martin Buchholz, Kyle Jones and Hrvoje Niksic
-- info changes from Karl Hegbloom (see etc/NEWS for details)
-- delbs.el is now a single file package
-- New package adding utility scripts added to lib-src
-- docref.el is now a single file package
-- cc-mode-5.19 Courtesy of Barry Warsaw
-- standardize on const as CONST, register as REGISTER
-- mh-e is now an XEmacs package
-- Rmail is now an XEmacs package
-- Miscellaneous bug fixes

to 20.3 beta27 "Skopje"
-- register declarations nuked by default
-- Miscellaneous patches from Martin Buchholz, Karl Hegbloom and Hrvoje Niksic
-- VC is now an XEmacs package
-- W3 is now an XEmacs package
-- Miscellaneous bug fixes

to 20.3 beta26 "Riga"
-- register declarations nuked by default
-- Miscellaneous patches from Martin Buchholz, Karl Hegbloom and Hrvoje Niksic
-- VC is now an XEmacs package
-- W3 is now an XEmacs package
-- Miscellaneous bug fixes

to 20.3 beta25 "Prague"
-- Ediff 2.671 Courtesy of Michael Kifer
-- Viper 3.001 Courtesy of Michael Kifer
-- OffiX DnD now binds to XEmacs events and doesn't use an external library
   Courtesy of Oliver Graf
-- New file xemacs-build-report.el courtesy of Adrian Aichner
-- Synch to Emacs 20.2 by MORIOKA Tomohiko
-- Various patches from Hrvoje Niksic
-- Miscellaneous bug fixes

to 20.3 beta24 "Ljubljana"
-- Interface change:  custom-loads now snarfed separately from autoloads.
-- custom snarfing code rewritten
-- iswitchb.el added from Emacs 20.2
-- NT DOC file fix from David Hobley
-- jpeg detection corrected
-- bytecode fix to char-syntax
-- gnuserv.el reverted to 3.09
-- Various patches/Emacs 20.1 synchs from Hrvoje Niksic
-- Miscellaneous bug fixes

to 20.3 beta23 "Sarajevo"
-- Other new and older Hrvoje Niksic patches
-- 20.1 synching by Hrvoje Niksic
-- gnuserv.el-3.10 courtesy of Hrvoje Niksic
-- custom-1.9960
-- Build changes to info tree
-- cperl-mode.el-1.35-1 (XEmacs conversion by Karl Hegbloom)
-- shadow.el -- imported from Emacs 20.1
-- Miscellaneous bug fixes

to 20.3 beta22 "Minsk"
-- Miscellaneous (small) bug fixes
-- Autoloads regenerated from scratch

to 20.3 beta21 "Bern"
-- Artificial event creation from Hrvoje Niksic
-- cl-extra.elc and cl-seq.elc are now dumped with XEmacs
-- custom-1.9958 Courtesy of Per Abrahamsen
-- W3-3.0.104 Courtesy of William Perry
-- one-shot extent hooks added -- someone please send me the current
   shotlock.el
-- Custom initialization rework from Hrvoje Niksic
-- cc-mode-5.18 courtesy of Barry Warsaw
-- VM-6.34 courtesy of Kyle Jones
-- Miscellaneous clean up patches from Hrvoje Niksic
-- Miscellaneous bug fixes

to 20.3 beta20 "Tirana"
-- Miscellaneous patches from Martin and Hrvoje
-- tetris.el-1.8
-- viper update courtesy of Michael Kifer
-- ediff updates courtesy of Michael Kifer
-- strokes.el-2.4-beta
-- cc-mode-5.17
-- edmacro.el-3.19 courtesy of Hrvoje Niksic
-- Miscellaneous bug fixes

to 20.3 beta19 "Kyiv"
-- Mega Martin Buchholz patch
-- Major Viper update, Viper is now Mule aware
-- ediff updates courtesy of Michael Kifer
-- tpu-edt.el/tpu-extras.el synched with Emacs 19.34/XEmacs 19.16 courtesy of
   Kevin Oberman
-- strokes.el-2.4beta
-- crisp.el-1.20 courtesy of Gary D. Foster
-- New regex syntax changes courtesy of Michael Cook
-- improved color terminal detection
-- tetris.el-1.4 Courtesy of Glynn Clements
-- Custom-1.9956
-- Miscellaneous bug fixes
-- W3-3.0.103

to 20.3 beta18 "Bratislava"
-- enhancements to help.el courtesy of Jens Petersen
-- Mega Martin Buchholz patch
-- edit-toolbar.el-1.02 courtesy of Mike Scheidler
-- cc-mode-5.16
-- DOC file generation clean up
-- Miscellaneous bug fixes

to 20.3 beta17 "Bucharest"
-- ediff-2.67
-- viper-2.96
-- cc-mode-5.15
-- Various patches by Karl Hegbloom
   Interface change:  info mode now behaves like Emacs by default.
-- Custom-1.9954
-- texinfo documentation updated from texinfo-3.11
-- Miscellaneous bug fixes

to 20.3 beta16 "Budapest"
-- New lisp finding functions courtesy of Jens Petersen
   New keybindings:  C-c f -- find-function
		     C-x 4 F -- find-function-other-window
		     C-x 5 F -- find-function-other-frame
-- vhdl-mode.el-2.74 Courtesy of Rod Whitby
-- Custom-1.9953
-- OffiX DnD extensions courtesy of Oliver Graf
-- Miscellaneous bug fixes

to 20.3 beta15 "Berlin"
-- cc-mode-5.14
-- hm--html-menus-5.8
-- Gnus-5.4.64 is packaged
-- AUCTeX-9.7p is packaged
-- Initial implementation of Packages
-- Handling of printing circular objects synched with Emacs 19.34
-- mel-6.10.1 [Formerly part of tm] Courtesy of MORIOKA Tomohiko
-- apel-3.4 [Formerly part of tm] Courtesy of MORIOKA Tomohiko
-- Fix for installing XEmacs with separate --prefix, --exec-prefix directories
-- New configure option --pkg-dir [list] enabled, contents available via
   the Lisp variable `package-path' (default is "/etc/xemacs:~/.xemacs))
-- Advisory message added to *scratch* at startup
-- Gnus-5.4.64
-- strokes.el-2.3
-- Miscellaneous bug fixes

to 20.3 beta14 "Vienna"
-- VM-6.33
-- Miscellaneous Martin Buchholz patches to configure
-- viper-2.95
-- ediff-2.66
-- cc-mode-5.13
-- Texinfo files updated from Texinfo-3.9e.
-- Menubar accelerators courtesy of Joel Peterson
-- Miscellaneous bug fixes

to 20.3 beta13 "Brussels"
-- W3-3.0.94
-- ph.el-2.6 courtesy of Oscar Figueiredo
-- Miscellaneous Configure changes from Martin and Hrvoje.
-- crisp.el-1.19 courtesy of Gary Foster
-- Gnus-5.4.63
-- Major and sundry changes by Martin Buchholz
-- gnuserv.el-3.9 (Add done button on menubar) courtesy of Hrvoje Niksic
-- edit-toolbar.el-1.01 courtesy of Peter Pezaris
-- toolbar-utils.el courtesy of Jeff Miller (was called toolbar-func.el on
   xemacs-beta)
-- Miscellaneous build fixes
-- Custom-1.9951
-- Miscellaneous bug fixes

to 20.3 beta12 "Helsinki"
-- cc-mode-5.12.
-- ~/.xemacs --> ~/.xemacs/init.el
-- ~/.xemacs-custom -> ~/.xemacs/options.el
-- Fix lossage in lwlib-Xm.c
-- Miscellaneous bug fixes

to 20.3 beta11 "Stockholm"
-- Try #2 with LOSING_BYTECODE disabled.
-- Interface change: value of `system-type' is provided as a feature
-- Gnus-5.4.62
-- W3-3.0.93
-- Custom-1.9946
-- New user variable `errors-deactivate-region'
-- Miscellaneous bug fixes.
-- iso-acc.el-1.15  (Mule fixes)
-- autoloads/custom loads generation in build updated
-- Fix for frozen messages in message area from Kyle Jones.

to 20.3 beta10 "Athens"
-- Linuxdoc-sgml.el courtesy of Arun Sharma.
-- rewritten abbreviations from Hrvoje Niksic
-- Gnus-5.4.60
-- New file image-mode.el (Major mode for displaying image files)
-- Miscellaneous Mule patches from MORIOKA Tomohiko
-- Miscellaneous Hrvoje Niksic patches
-- Configure/tree-x patches from Martin Buchholz
-- Restore Show Message Log in Edit menu.
-- `make autoloads' updated and should now work without Mule [untested].
-- New boolean variable `x-seppuku-on-epipe' to handle case of X Server going
   away and XEmacs not exiting.  Set to `t' to force immediate exit
-- custom-1.9940
-- gnuserv.el-3.6
-- speedbar-0.5 courtesy of Eric Ludlam
-- Internals change -- Use fork() instead of vfork() for invoking
   subprocesses
-- Miscellaneous bug fixes

to 20.3 beta9 "Sofia".
-- cc-mode-5.11
-- custom-1.9937
-- Mule Updates/Quail/Synch with Emacs/Mule zeta courtesy of MORIOKA Tomohiko
-- lazy-lock.el reverted to 1.14 as per Ben Wing's instructions.
-- ph.el-2.1
-- W3-3.0.92 courtesy of William Perry
-- reftex.el-2.14
-- Lots of Miscellaneous Hrvoje Niksic patches
-- view-process 2.4 -- Courtesy of Heiko Muenkel
-- time.el-1.17
-- Miscellaneous bug fixes

to 20.3 beta8 "Copenhagen".
-- Custom changes now saved in ~/.xemacs-custom and loaded automatically at
   startup
-- oobr support binaries moved from lisp hierarchy to new top level
   directory `pkg-src'
-- Viper-2.94 Courtesy of Michael Kifer
-- Customizations from Hrvoje Niksic
-- FAQ update from Andreas Kaempf
-- New graphic cbx.gif added to etc, courtesy of Jens Lautenbacher,
   `Created by XEmacs' suitable for adorning a web page.
-- save-some-buffers now has an option to preview dirty buffers as
   they are being offered for save.  Courtesy of David Bakhash
-- XEmacs compiles in 64 bit SGI environment courtesy of Olivier Galibert
-- Hardcoded -I/usr/local/include, -L/usr/local/include removed
-- edmacro.el-3.16
-- mapvector is now a subr courtesy of Hrvoje Niksic
-- new function archive-quit in arc-mode.el courtesy of Karl Hegbloom
-- debug-on-error (round 2) courtesy of Hrvoje Niksic
-- Gnus-5.4.59
-- Build no longer depends on a list of .elc files listed in src/Makefile.in.in
   (only important to developers)
-- If a .xemacs file exists, use it in preference to .emacs.  If no .xemacs
   use .emacs as usual.  The file loaded is left in `user-init-file'
-- Overhaul of XEmacs startup code, Part II
-- custom-1.9931
-- Miscellaneous Ebola fixes
-- New internal autoload generating function `batch-update-directory'
-- New file hippie-exp.el from Emacs/Mule zeta
-- Miscellaneous bug fixes

to 20.3 beta7 "Oslo".
-- Miscellaneous Ebola fixes
-- hyper-apropos update courtesy of Hrvoje Niksic
-- Make lib-complete deal with compressed .el files when not using Mule.
   (Patch based on code from Jonathan Doughty)
-- Gnus refcard update courtesy of Vladimir Alexiev
-- Various fixes from Kyle Jones
-- ph.el-1.2.1.1 Courtesy of Oscar Figueiredo
-- custom-1.9916
-- `with-current-buffer', etc. ported from Emacs 20.1 courtesy of Hrvoje
   Niksic
-- Miscellaneous bug fixes

to 20.3 beta6 "Moscow".
-- Configure updates courtesy of Martin Buchholz
-- Mule updates courtesy of MORIOKA Tomohiko
-- Lots of Ebola cleanup, but much remains
-- Miscellaneous bug fixes

to 20.3 beta5 "Zagreb".
-- Configure patches continued from Martin Buchholz
-- Miscellaneous Bug Fixes from various people (see ChangeLogs)
-- custom-1.9908
-- Moved mule-doc/demo to etc/HELLO for the mule menu.

to 20.3 beta4 "Warsaw".
-- miscellaneous bug fixes
-- various about.el additions & updates
-- edmacro.el-3.15
-- Configure patches courtesy of Martin Buchholz
-- about.el-2.2 courtesy of Hrvoje Niksic
-- New function eval-when-feature from Emacs 20
-- Toolbar buttons now take arbitrary lisp functions for callback
-- webjump.el-1.5 courtesy of Neal W. Van Dyke
-- reftex.el-2.13 courtesy of Carsten Dominik
-- Initial synch with InfoDock 3.5
-- Give defcustom the same special treatment defvar gets when evaluated with
   `eval-last-sexp' (C-x C-e)
-- "These patches make XEmacs run under NT!" - David Hobley
-- Initial port of LEIM courtesy of MORIOKA Tomohiko
-- tm-7.108 courtey of MORIOKA Tomohiko
-- Custom-1.9907
-- VM-6.32
-- Gnus-5.4.56
-- ediff & viper updates courtesy of Michael Kifer
-- icomplete.el-4.10 courtesy of Ken Manheimer
-- gdb-highlight.el courtesy of Jamie Zawinski
-- New function `narrow-to-defun' bound to `C-x n d', from Emacs 19.35
-- Oops, sorry.  gnudoit script restored
-- New function `kill-buffer-and-window' bound to `C-x 4 0', from Emacs 19.34
-- Cleanup of dumped packages to eliminate bytecompiler warnings

to 20.3 beta3.
-- miscellaneous bug fixes
-- iso-acc.el-1.14 courtesy of Alexandre Oliva
-- custom-load.el renamed to cus-load.el and is no longer dumped
-- Configure patches courtesy of Martin Buchholz
-- etags.c-12.7
-- Old packages removed:  modes/old-c-mode.el, modes/old-c++-mode.el,
   modes/two-column.el.
   emulators/mlconvert.el, emulators/mlsupport.el.
   energize/*.el.
   eos/loaddefs-eos.el.
   packages/generic-sc.el, packages/mime-compose.el, packages/netunam.el,
   packages/sccs.el, packages/server.el.
   utils/mailpost.el, utils/meese.el.
-- dynodump hierarchy restored to distribution
-- ssh.el-1.3 courtesy of Noah Friedman
-- AUC TeX-9.7p courtesy of Per Abrahamsen
-- savehist.el-0.2 courtesy of Hrvoje Niksic
-- GPM support courtesy of William Perry
-- Custom-1.98
-- hm--html-menus-5.7 courtesy of Heiko Muenkel
-- Gnus-5.4.55

to 20.3 beta2.
-- mega configure patches courtesy of Martin Buchholz
-- edmacro.el-3.14
-- eldoc.el-1.13 courtesy of Noah Friedman
-- strokes.el-2.2 courtesy of David Bakhash
-- eterm updates courtesy of Per Bothner
-- add-log.el gets new mode type variables for lisp-like, c-like, and tex-like
   modes courtesy of Erik Naggum
-- add-log.el synched with Emacs 20.0
-- gnudoit removed, Gnuserv updated courtesy of Hrvoje Niksic
-- miscellaneous bug fixes
-- Fix for multiple frame `cursor lockstep' bug courtesy of Kyle Jones
-- Continued configure/build cleanup
-- obsolete dynodump directories removed
-- Gnus-5.4.53 courtesy of Lars Magne Ingebrigtsen
-- vc-hooks.el, vc.el synched up with Emacs 19.34.94.
-- Bytecompiler optimization hacking courtesy of Jamie Zawinski

to 20.3 beta1.
-- Custom-1.97 courtesy of Per Abrahamsen
-- Obsolete files emacstool.c, emacsclient.c, emacsserver.c removed
-- etags.c-11.90 courtesy of Francesco Potorti`
-- Dragable modeline courtesy of Kyle Jones
-- Gnuserv.el 3.1 & upgrade of gnuclient courtesy of Hrvoje Niksic
-- Upgrade to configure 2.12 courtesy of Martin Buchholz
-- New variable `Info-button1-follows-hyperlink' to allow disabling the
   feature.
-- Restore Gosling Emacs transpose-chars implementation as an option
